Bug 1123655 - Synchronization failure on versions older than 2.0.28
Summary: Synchronization failure on versions older than 2.0.28
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anki
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Christian Krause
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-27 19:08 UTC by ragodrone
Modified: 2014-08-15 02:39 UTC (History)
1 user (show)

Fixed In Version: anki-2.0.28-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-15 02:39:34 UTC


Attachments (Terms of Use)

Description ragodrone 2014-07-27 19:08:24 UTC
Description of problem:
Attempting to synchronize an anki account on versions older than 2.0.28 will prompt the error message "Synchronization failed: Please upgrade to the latest version of Anki." As of now, the fedora package db does not have this version. 

Version-Release number of selected component (if applicable):
Tried on Anki 2.0.26



Steps to Reproduce:
1. Get Anki version >2.0.28 (# yum -y install anki)
2. Log-in with your ankiweb account
3. Click the "Synchronize with Ankiweb" button or press the Y key

Actual results:
Error message: "Synchronization failed: Please upgrade to the latest version of Anki" is prompted

Expected results:


Additional info:
I downloaded the anki v 2.0.28 source package from the webpage, removed the older package (# yum -y remove anki), and ran the program. The account syncing succeeded

For more info, please check 
https://anki.tenderapp.com/discussions/ankidesktop/8361-erroneous-upgrade-message

Comment 1 Fedora Update System 2014-07-31 07:21:17 UTC
anki-2.0.28-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/anki-2.0.28-1.fc19

Comment 2 Fedora Update System 2014-08-01 06:03:32 UTC
Package anki-2.0.28-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anki-2.0.28-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9055/anki-2.0.28-1.fc19
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2014-08-15 02:39:34 UTC
anki-2.0.28-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.